#![allow(unused_imports)]

use intel_gpu_uapi::*;
use uapi::find_i915_node;
use std::fs;
use std::{fs::File, os::fd::AsRawFd};

#[test]
fn test_drm_version() {
    let node = find_i915_node().expect("Failed to find i915 fd");
    let drm_version = uapi::get_drm_version(node.fd.as_raw_fd()).expect("Failed to get drm version");
    println!("{:?}", drm_version);
}

#[test]
fn test_i915_get_engines() {
    let node = find_i915_node().expect("Failed to find i915 fd");
    let engines = uapi::get_engines(node.fd.as_raw_fd()).expect("Failed to get engines");
    println!("{:?}", engines);
}